﻿using System;
using Lephone.Data.Definition;
using Lephone.Linq;

namespace VisualWiki.Models
{
    public abstract class ArticleHistory : LinqObjectModel<ArticleHistory>
    {
        public abstract string Content { get; set; }

        [Index(ASC = false)]
        public abstract DateTime CreatedOn { get; set; }

        [BelongsTo]
        public abstract Article Article { get; set; }

        public ArticleHistory Init(Article article)
        {
            Content = article.Content;
            CreatedOn = article.SavedOn;
            return this;
        }
    }
}
