﻿using System.IO;
using Lephone.Util;
using NUnit.Framework;
using VisualWiki.Models;

namespace VisualWiki.UnitTests
{
    [TestFixture]
    public class TestArticle
    {
        private static readonly string TestFilePath = SystemHelper.TempDirectory + "UnitTest.db";

        [TearDown]
        public void TearDown()
        {
            File.Delete(TestFilePath);
        }

        [Test]
        public void TestSaveArticle()
        {
            Article.SaveArticle("title", "whatever it is");
            var o1 = Article.FindByTitle("title");
            Assert.IsNotNull(o1);
            Assert.AreEqual("whatever it is", o1.Content);
            Assert.AreEqual(0, o1.History.Count);

            Article.SaveArticle("title", "hello, I'm coming");
            var o2 = Article.FindByTitle("title");
            Assert.IsNotNull(o2);
            Assert.AreEqual("hello, I'm coming", o2.Content);
            Assert.AreEqual(1, o2.History.Count);
            Assert.AreEqual("whatever it is", o2.History[0].Content);
        }
    }
}
